Page MenuHomePhabricator

Update videojs to 6.1
Closed, ResolvedPublic

Description

Lets update to videojs 6.1.

Known Issues

Resolution switcher doesn't currently work well with videojs 6.1. We will need to update the plugin to work with videojs 6.1

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterUpdate video.js to v6
mediawiki/extensions/TimedMediaHandler : master[WIP] Update to VideoJS v6

Event Timeline

Paladox created this task.May 19 2017, 9:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2017, 9:25 PM

Change 354601 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/TimedMediaHandler@master] [WIP] Update to VideoJS v6

https://gerrit.wikimedia.org/r/354601

TheDJ triaged this task as Low priority.May 19 2017, 10:11 PM

important notes.

  • The new default for the volume control is not a different component
  • The new default for the subtitles/captions is now a combined menu (new component). The separate controls are still available if you configure your own controlbar layout.
  • There is a bug for the responsive layout module, since they forgot about these new controls. Created a ticket for it
  • removed the replay plugin, as no longer required
  • updated the info plugin to be backwards compatible in terms of module registration.
  • gave up on updating the other modules for now, since development these days seems to be an exercise in "become intimately familiar with every projects build system, and start from scratch every 6 months".

Back to beer [hackathon]

Change 354601 abandoned by TheDJ:
[WIP] Update to VideoJS v6

https://gerrit.wikimedia.org/r/354601

Change 405088 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Update video.js to v6

https://gerrit.wikimedia.org/r/405088

brion moved this task from Player to Doing on the TimedMediaHandler board.Jan 20 2018, 12:48 AM

Change 405088 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Update video.js to v6

https://gerrit.wikimedia.org/r/405088

brion closed this task as Resolved.Jan 23 2018, 11:22 PM
brion claimed this task.

Updated to v6.6.0 in the above \o/

TheDJ moved this task from Doing to Done on the TimedMediaHandler board.Jan 23 2018, 11:36 PM